%global gem_name    net-ping
%global _version    1.6.2

%if 0%{?rhel} == 5
%global gem_dir     %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gem_instdir %{gem_dir}/gems/%{gem_name}-%{version}
%global gem_libdir  %{gem_instdir}/lib
%global gem_cache   %{gem_dir}/cache/%{gem_name}-%{version}.gem
%global gem_spec    %{gem_dir}/specifications/%{gem_name}-%{version}.gemspec
%global gem_docdir  %{gem_dir}/doc/%{gem_name}-%{version}
%endif


Name:           rubygem-%{gem_name}
Version:        %{_version}
Release:        1%{?dist}
Summary:        A ping interface for Ruby
Group:          Development/Languages
License:        Artistic 2.0
URL:            http://rubygems.org/gems/%{gem_name}

Source0:        http://rubygems.org/downloads/%{gem_name}-%{version}.gem

# for rhel5 compatibility
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

#BuildRequires: rubygem(test-unit)
#BuildRequires: rubygem(fakeweb)
#BuildRequires: iputils

BuildRequires:  ruby

%if 0%{?rhel} == 5
BuildRequires:  rubygems
Requires:       ruby(abi) >= 1.8
Requires:       ruby(rubygems)
%else
BuildRequires:  rubygems-devel
Requires:       ruby
%endif
Requires:       rubygem(ffi) >= 1.0.0
Provides:       rubygem(%{gem_name}) = %{version}

%description
The net-ping library provides a ping interface for Ruby. It includes
separate TCP, HTTP, ICMP, UDP, WMI (for Windows) and external ping
classes.


%prep
%if 0%{?fedora} || 0%{?rhel} > 5
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
%endif

%build
%if 0%{?fedora} || 0%{?rhel} > 5
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install
%endif

%install
mkdir -p %{buildroot}%{gem_dir}
%if 0%{?rhel} == 5
gem install --local --install-dir %{buildroot}%{gem_dir} --force %{SOURCE0}
%else
cp -a ./%{gem_dir}/* %{buildroot}%{gem_dir}/
%endif

%check
#pushd %{buildroot}%{gem_instdir}
## three tests are ignored because of missing network connectivity
#RUBYOPT="-Ilib" testrb2 test/test_net_ping.rb \
#--ignore-name=test_duration_basic_functionality \
#--ignore-name=test_pinging_a_good_host_results_in_no_exception_data \
#--ignore-name=test_pinging_a_good_host_returns_true
#popd


# for rhel5 compatibility
%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%{gem_instdir}/
%{gem_cache}
%{gem_spec}
%{gem_docdir}


%changelog
* Fri Nov 14 2014 Melissa Stone <melissa@puppetlabs.com> - 1.6.2-1
- Update to upstream latest v1.6.2
- Rework spec file to comply with modern fedora requirements
- Stop building doc package

* Wed Mar 27 2013 Matthaus Owens <matthaus@puppetlabs.com> - 1.5.3-4
- Update to also provide ruby-net-ping

* Fri Feb 01 2013 Matthaus Owens <matthaus@puppetlabs.com> - 1.5.3-3
- Rebuilt for Puppet Labs dependencies repos. Updated to build for el5,el6,f16,f17,f18

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Mar 05 2012 Lukas Zapletal <lzap+rpm[@]redhat.com> - 1.5.3-1
- New version

* Fri Feb 03 2012 Vít Ondruch <vondruch@redhat.com> - 1.5.1-3
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Sep 16 2011 Lukas Zapletal <lzap+rpm[@]redhat.com> - 1.5.1-1
- rebuild

* Fri Mar 18 2011 Lukas Zapletal <lzap+rpm[@]redhat.com> - 1.4.1-1
- unit tests now use mock servers
- fixing issues from the review #672845

* Tue Jan 25 2011 Lukas Zapletal <lzap+rpm[@]redhat.com> - 1.4.0-1
- Initial package

